Package net.shibboleth.saml.profile.context.navigate.messaging

# Class SAMLMetadataContextLookupFunction

java.lang.Object
net.shibboleth.profile.context.navigate.messaging.AbstractRelyingPartyLookupFunction<SAMLMetadataContext>
net.shibboleth.saml.profile.context.navigate.messaging.SAMLMetadataContextLookupFunction

All Implemented Interfaces:
  `Function<MessageContext,SAMLMetadataContext>`, `ContextDataLookupFunction<MessageContext,SAMLMetadataContext>`

public class SAMLMetadataContextLookupFunction extends AbstractRelyingPartyLookupFunction<SAMLMetadataContext>
A function to access a `SAMLMetadataContext` underlying a `RelyingPartyContext` located via a lookup function.

## Constructor Summary

Constructors
Constructor
Description
`SAMLMetadataContextLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`SAMLMetadataContext`
`apply(MessageContext input)`

### Methods inherited from class net.shibboleth.profile.context.navigate.messaging.AbstractRelyingPartyLookupFunction

`getProfileRequestContext, getProfileRequestContextLookupStrategy, getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setProfileRequestContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### SAMLMetadataContextLookupFunction

public SAMLMetadataContextLookupFunction()

## Method Details

### apply

@Nullable public SAMLMetadataContext apply(@Nullable MessageContext input)